If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Intermittent sessionrestore_no_auto_restore | application crashed [@ ntdll.dll + 0x3224d]

RESOLVED WORKSFORME

Status

()

Core
General
P3
normal
RESOLVED WORKSFORME
3 years ago
2 months ago

People

(Reporter: Tomcat, Assigned: gbrown)

Tracking

({crash, intermittent-failure})

Trunk
x86
Windows 7
crash, intermittent-failure
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(URL)

(Reporter)

Description

3 years ago
Windows 7 32-bit mozilla-inbound pgo talos other_nol64

https://treeherder.mozilla.org/logviewer.html#?job_id=4459551&repo=mozilla-inbound

04:58:57 INFO - PROCESS-CRASH | sessionrestore_no_auto_restore | application crashed [@ ntdll.dll + 0x3224d]
04:58:57 INFO - Crash dump filename: c:\users\cltbld\appdata\local\temp\tmpinufpe\profile\minidumps\b8b18112-f17b-4e10-a651-4ddfabbdf6ef.dmp
04:58:57 INFO - Operating system: Windows NT
04:58:57 INFO - 6.1.7601 Service Pack 1
04:58:57 INFO - CPU: x86
04:58:57 INFO - GenuineIntel family 6 model 30 stepping 5
04:58:57 INFO - 8 CPUs
04:58:57 INFO - Crash reason: EXCEPTION_ACCESS_VIOLATION_WRITE
04:58:57 INFO - Crash address: 0x5a5a5a6e
04:58:57 INFO - Thread 39 (crashed)
04:58:57 INFO - 0 ntdll.dll + 0x3224d
04:58:57 INFO - eip = 0x7771224d esp = 0x1582f5e4 ebp = 0x1582f634 ebx = 0x5a5a5a58
04:58:57 INFO - esi = 0x0d510e20 edi = 0x0d510e24 eax = 0x5a5a5a5a ecx = 0x5a5a5a5a
04:58:57 INFO - edx = 0x00000002 efl = 0x00010213
04:58:57 INFO - Found by: given as instruction pointer in context
04:58:57 INFO - 1 ntdll.dll + 0x3215b
04:58:57 INFO - eip = 0x7771215c esp = 0x1582f63c ebp = 0x1582f65c
04:58:57 INFO - Found by: previous frame's frame pointer
04:58:57 INFO - 2 nss3.dll!winMutexEnter [sqlite3.c:e448025c6dad : 19812 + 0x8]
04:58:57 INFO - eip = 0x67fefe2c esp = 0x1582f664 ebp = 0x1582f668
04:58:57 INFO - Found by: previous frame's frame pointer
04:58:57 INFO - 3 xul.dll!mozilla::storage::Connection::initializeClone(mozilla::storage::Connection *,bool) [mozStorageConnection.cpp:e448025c6dad : 1245 + 0x8]
04:58:57 INFO - eip = 0x661a6749 esp = 0x1582f670 ebp = 0x1582f6e0
04:58:57 INFO - Found by: call frame info
04:58:57 INFO - 4 xul.dll!mozilla::storage::`anonymous namespace'::AsyncInitializeClone::Run() [mozStorageConnection.cpp:e448025c6dad : 417 + 0x12]
04:58:57 INFO - eip = 0x6602498e esp = 0x1582f6e8 ebp = 0x1582f6f4
04:58:57 INFO - Found by: call frame info
04:58:57 INFO - 5 xul.dll!nsThread::ProcessNextEvent(bool,bool *) [nsThread.cpp:e448025c6dad : 830 + 0x5]
04:58:57 INFO - eip = 0x65e838f3 esp = 0x1582f6fc ebp = 0x1582f7fc
04:58:57 INFO - Found by: call frame info
04:58:57 INFO - 6 xul.dll!mozilla::ipc::MessagePumpForNonMainThreads::Run(base::MessagePump::Delegate *) [MessagePump.cpp:e448025c6dad : 339 + 0x16]
04:58:57 INFO - eip = 0x65e03af9 esp = 0x1582f804 ebp = 0x1582f82c
04:58:57 INFO - Found by: call frame info
04:58:57 INFO - 7 xul.dll!MessageLoop::RunHandler() [message_loop.cc:e448025c6dad : 226 + 0x7]
Comment hidden (Treeherder Robot)
(Reporter)

Updated

3 years ago
Summary: Intermittent 04:58:57 INFO - PROCESS-CRASH | sessionrestore_no_auto_restore | application crashed [@ ntdll.dll + 0x3224d] → Intermittent sessionrestore_no_auto_restore | application crashed [@ ntdll.dll + 0x3224d]
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)

Comment 16

a year ago
Bulk assigning P3 to all open intermittent bugs without a priority set in Firefox components per bug 1298978.
Priority: -- → P3
(Assignee)

Comment 17

3 months ago
Bug 934310 has been tracking failures in Windows Talos other, sessionrestore test due to a hang. Bug 1378816 modified the timeout so that the hang would produce a crash report. Now those failures are being reported here, and in bug 1343532.
(Assignee)

Comment 18

3 months ago
...but since this has been inactive for so long otherwise, let's close this so that all the new hangs are reported in one place.
Assignee: nobody → gbrown
Status: NEW → RESOLVED
Last Resolved: 3 months ago
Resolution: --- → WORKSFORME

Comment 19

3 months ago
3 failures in 656 pushes (0.005 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 3

Platform breakdown:
* windows7-32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1109124&startday=2017-07-03&endday=2017-07-09&tree=all

Comment 20

2 months ago
1 failures in 720 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* pine: 1

Platform breakdown:
* windows10-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1109124&startday=2017-07-10&endday=2017-07-16&tree=all
You need to log in before you can comment on or make changes to this bug.